Update a record
curl --request PATCH \
--url https://api.connect-crm.com/v1/records/{object}/{recordId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"data": {}
}'import requests
url = "https://api.connect-crm.com/v1/records/{object}/{recordId}"
payload = { "data": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};
fetch('https://api.connect-crm.com/v1/records/{object}/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"record_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
},
"values": {},
"created_at": "2024-09-04T20:45:09Z",
"created_via": {
"via_import": false,
"origin_name": "<string>",
"import_job_id": "<string>",
"import_mapping_id": "<string>",
"import_file_name": "<string>",
"actor_name": "<string>"
}
}
}{
"statusCode": 400,
"type": "invalid_request_error",
"code": "validation_type",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 404,
"type": "not_authorized_error",
"code": "not_authorized",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 403,
"type": "forbidden_error",
"code": "forbidden",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 404,
"type": "invalid_request_error",
"code": "not_found",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 500,
"type": "invalid_error",
"code": "",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}Records
Update a record
Use this endpoint to update records by ID.
PATCH
/
v1
/
records
/
{object}
/
{recordId}
Update a record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A UUID or slug to identify the object.
A UUID or slug to identify the record.
Body
application/json
An object with an attribute slug as the key, and a single value (for single-select attributes), or an array of values (for single or multi-select attributes, max 50) as the values.
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
⌘I